#
#	Customizing heatmap colors with RCircos 1.1.2 
#
#	Last revised on November 18, 2013
#	______________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx


#	Load human chromosome ideogram data and set
#	up RCircos core components
#	______________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

library(RCircos)
data(UCSC.HG19.Human.CytoBandIdeogram)
human.cyto <- UCSC.HG19.Human.CytoBandIdeogram
RCircos.Set.Core.Components(cyto.info=human.cyto, 
			chr.exclude=NULL, 
			tracks.inside=6, 
			tracks.outside=0)


#	Open graphic device here a png file
#	______________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

out.file= "RCircos.Heatmap.Color.Demo.png";
png(file=out.file, height=5, width=5, unit="in", 
		type="cairo", res=300);


#	Plot chromosome ideogram
#	______________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

RCircos.Set.Plot.Area()
RCircos.Chromosome.Ideogram.Plot()


#	Track 1: Default colors (BlueWhiteRed)
#	_______________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

data(RCircos.Heatmap.Data);
RCircos.Heatmap.Plot(RCircos.Heatmap.Data, data.col=6, 
	track.num=1, side="in");


#	Track 2: GreenWhiteRed colors
#	_______________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

params <- RCircos.Get.Plot.Parameters();
params$heatmap.color <- "GreenWhiteRed";
RCircos.Reset.Plot.Parameters(params);
RCircos.Heatmap.Plot(RCircos.Heatmap.Data, data.col=6, 
	track.num=2, side="in");


#	Track 3: GreenYellowRed colors
#	_______________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

params$heatmap.color <- "GreenYellowRed"
RCircos.Reset.Plot.Parameters(params)
RCircos.Heatmap.Plot(RCircos.Heatmap.Data, data.col=6, 
	track.num=3, side="in");


#	Track 4: GreenBlackRed colors
#	_______________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx	

params$heatmap.color <- "GreenBlackRed"
RCircos.Reset.Plot.Parameters(params)
RCircos.Heatmap.Plot(RCircos.Heatmap.Data, data.col=6, 
	track.num=4, side="in");


#	Track 5: YellowToRed colors
#	_______________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx	

params$heatmap.color <- "YellowToRed"
RCircos.Reset.Plot.Parameters(params)
RCircos.Heatmap.Plot(RCircos.Heatmap.Data, data.col=6, 
	track.num=5, side="in");


#	Track 6: Black color only
#	_______________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx	
		
params$heatmap.color <- "BlackOnly"
RCircos.Reset.Plot.Parameters(params)
RCircos.Heatmap.Plot(RCircos.Heatmap.Data, data.col=6, 
	track.num=6, side="in");

title("RCircos Heatmap Color Demo")



#	Close the graphic device
#	______________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
dev.off();

rm(list=ls(all=TRUE))