#
#	Changing RCircos radius length
#
#	Last revised on November 18, 2013
#	________________________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx



#	Load human chromosome ideogram  data
#	____________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

library(RCircos);
data(UCSC.HG19.Human.CytoBandIdeogram)
human.cyto <- UCSC.HG19.Human.CytoBandIdeogram;


#	First set 10 tracks inside of ideogram and
#	draw chromosome ideogram
#	____________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

RCircos.Set.Core.Components(cyto.info=human.cyto, 
			chr.exclude=NULL, 
			tracks.inside=10, 
			tracks.outside=0);


#	Open graphic device and plot chromosome ideogram
#	____________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

png("RCircos.Radius.Len.Demo.png", height=5, width=5, 
	unit="in", res=300, type="cairo");

RCircos.Set.Plot.Area();
RCircos.Chromosome.Ideogram.Plot();

params <- RCircos.Get.Plot.Parameters();


#	Label the defaut radius.len
#	____________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

note <- paste("Outside radius.len is", params$radius.len);
text(0, 1.6, note, font=4, cex=0.5);


#	Reduce the radius.len and draw chromosome
#	ideogram inside of the first ideogram
#	_____________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
#

params$radius.len <- 1;
RCircos.Reset.Plot.Parameters(params);
RCircos.Chromosome.Ideogram.Plot();


#	Label the new radius.len
#	____________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

note <- paste("Inside radius.len is", params$radius.len);
text(0, 0, note, font=4, cex=0.5);


title("RCircos Demo: Change radius.len");
dev.off();

rm(list=ls(all=TRUE))