#
#	Customizing track height
#
#	Last revised on november 18, 2013
#	________________________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx



#	Load human chromosome ideogram data
#	____________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

library(RCircos);
data(UCSC.HG19.Human.CytoBandIdeogram)


#	Set RCircos core components
#	____________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

human.cyto <- UCSC.HG19.Human.CytoBandIdeogram
RCircos.Set.Core.Components(cyto.info=human.cyto, 
			chr.exclude=NULL, 
			tracks.inside=5, 
			tracks.outside=0);


#	Open graphic device and plot chromosome
#	ideogram
#	____________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

png("RCircos.Track.Height.Demo.png", height=5, 
	width=5, unit="in", res=300, type="cairo");
RCircos.Set.Plot.Area();
RCircos.Chromosome.Ideogram.Plot();



#	First plot with default track height
#	____________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

data(RCircos.Scatter.Data);
RCircos.Scatter.Plot(RCircos.Scatter.Data, 
		data.col=5, track.num=1,
		side="in", by.fold=1);


#	Increase track height and plot with same data
#	_____________________________________________
#	xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

params <- RCircos.Get.Plot.Parameters();
params$track.height <- params$track.height*2;
RCircos.Reset.Plot.Parameters(params);

RCircos.Scatter.Plot(RCircos.Scatter.Data, 
		data.col=5, track.num=2,
		side="in", by.fold=1);

title("RCircos Track Height Demo");
dev.off();

rm(list=ls(all=TRUE))